/*
 * Original Program (as written):
 * 	public class {
 *  public Static void main(String[] args)
 *  	{
 *  	system.out.println( I want this program to compile)
 *  	}
 * 
 * 
 * How to fix?:
 * 	Every class requires a unique name to be assigned, in my case to fix it I assign the class the name "javaApp".
 * 	Although the formatting of the code is a mess this alone will not prevent the program from compiling.
 * 	On line 4 the System namespace should be capitalized.
 * 	Also on line 4 the method println accepts a string so the text must be wrapped in ".
 * 	Once more on line 4 a semi colon is missing.
 *  Finally the class javaApp must be closed 
 * 	
 * 	Fixed version below
 */

package exercise10;

public class javaApp {

	public static void main(String[] args) {
		System.out.println("I want this program to compile");
	}

}
