/*
 * Original Program:
 * 	public class MyProgram {
 * 		Scanner input = new Scanner(System.in)
 * 		public void main() {
 * 			System.out.Print("Please, enter length");
 * 			double b = input.next;
 * 			double a = 1 * 1;
 * 			println("a = " + a);
 * 		}
 * 	}
 * 
 * 
 * What is the program doing?:
 * 	In the state the program was provided in the program is doing nothing as it is uncompilable due to multiple errors with the code.
 * 	Firstly the line where a new Scanner class is initated doesn't end in a semi-colon.
 * 	Then the line where input is read into variable b the code tries to use the input.next() method as a variable instead of calling the method.
 * 	Lastly the final println is not valid and would be System.out.println();
 * 	However even with all these fixes made the program still does nothing than simply outputting the string "a = 1". With context gathered from
 * 		looking at the code I assume that the code is supposed to be doubling the length of the input provided? My fixed code below does that.
 * 
 */

package exercise2;
import java.util.Scanner;

public class javaApp {

	public static void main(String[] args) {
		Scanner stdin = new Scanner(System.in);
		
		System.out.print("Please enter the length, as a double, that you'd like be to doubled:\t");
		double inputLength = stdin.nextDouble();
		
		System.out.println(inputLength + " doubled = " + (inputLength * 2));
		
		// close stdin handle
		stdin.close();
	}

}
